Redmine - Feature #3711

Extending Wiki Inline-images to include size parameters.
2009-08-05 17:46 - Olafur Gislason

Status: Closed Start date: 2009-08-05
Priority: Low Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

| think extending the inline-image tag to include width and/or height, or even % of size
would be helpful.

| would think this would be a simple fix, but I've not worked a lot with Redmine.

Related issues:
Is duplicate of Redmine - Feature #1006: Display thumbnails of attached images Closed

2008-04-07

History

#1 - 2009-08-06 03:23 - Olafur Gislason

Looked a bit into this and see that this is handled through RedCloth 3.
So this should actually not be done directly to Redmine.

#2 - 2009-08-06 06:41 - Andrew Chaika
- Status changed from New to Resolved
Olafur Gislason wrote:

| think extending the inline-image tag to include width and/or height, or even % of size
would be helpful.

This is possible with inline css styles in textile, but this feature is turned off due to XSS vulnerability since 0.8 version of Redmine.

Syntax is {width: 50%;}image1.jpg!
see #949 for solution

#3 - 2011-10-27 19:24 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Duplicate

Indeed, closed as duplicate of #1006.
https://www.redmine.org/issues/949
https://www.redmine.org/issues/1006
http://www.tcpdf.org

